Page MenuHomePhabricator

Create list of talk pages that need to be updated based on Commons image deletion workflows
Closed, ResolvedPublic8 Story Points

Description

For T167614 we will need a mechanism that identifies when an image on Commons has been marked for deletion (so our bot can run. 🤖)

The script would check if files have already been nominated for deletion and/or processed and make a list of pages whose discussions need to be notified.

Event Timeline

TBolliger changed the task status from Open to Stalled.Feb 23 2018, 10:25 PM
TBolliger triaged this task as Medium priority.
TBolliger created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2018, 10:25 PM
TBolliger renamed this task from Create system/mechanism for identifying when a Commons image is marked for deletion to Create list of talk pages that need to be updated based on Commons image deletion workflows.Feb 28 2018, 12:10 AM
TBolliger changed the task status from Stalled to Open.Feb 28 2018, 12:13 AM
TBolliger set the point value for this task to 8.
TBolliger edited projects, added Community-Tech-Sprint; removed Community-Tech.
MaxSem changed the task status from Open to Stalled.Feb 28 2018, 12:14 AM
MaxSem updated the task description. (Show Details)
MaxSem removed the point value for this task.
MaxSem set the point value for this task to 8.
TBolliger changed the task status from Stalled to Open.Feb 28 2018, 12:15 AM
TBolliger assigned this task to MaxSem.Mar 13 2018, 11:30 PM

Done in https://github.com/MaxSem/CommonsNotifier. Technically, it doesn't generate the list of pages - only files to notify about - but I decided that page selection should be better done in the posting part.

Sounds good. Looks like T188151: Create the Commons deletion bot which will post messages on article talk pages already includes acceptance criteria about posting on talk pages, so no need to update, unless you think we need another subtask.

@MaxSem What kind of review does this need? From whom?

There's no documentation on the Github repo — can you please add documentation?

That's an interesting question. Since there's nobody in the team who can review this, I guess we can just decide that code review is "it's good if it works".

I'll add docs when the code base stabilizes.

TBolliger closed this task as Resolved.Apr 11 2018, 3:57 PM
TBolliger moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.

👍